<?php
/**
 * Customizer Theme Options Fields
 *
 * @link http://www.wp3layouts.com
 *
 * @package Fashiona
*/
function fashiona_theme_customizers_options( $config ) {
    return wp_parse_args( array(
        'logo_image'   => FASHIONA_WP3_DIRECTORY_URI .'/core/admin/images/fashiona-logo.png',
        'color_accent' => '#016489',
        'color_back'   => '#FFFFFF',
    ), $config );
}
add_filter( 'kirki/config', 'fashiona_theme_customizers_options' );

WP3_Customizer::add_config( 
    'fashiona-wp3', 
        array(
        	'capability'  => 'edit_theme_options',
        	'option_type' => 'theme_mod',
) );

/** Header Section **/
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'radio-image',
            'settings'    => 'fashiona_wp3_menu_location',
            'label'       => esc_html__( 'Menu Location', 'fashiona' ),
            'description' => esc_html__( 'Select the location of your main menu', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'default'     => 'top',
            'priority'    => 10,
            'choices'     => array(
                'top'     => FASHIONA_WP3_DIRECTORY_URI . '/core/admin/images/menu-top.png',
                'bottom'  => FASHIONA_WP3_DIRECTORY_URI . '/core/admin/images/menu-bottom.png',
            ),
) );

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_title_tagline',
            'label'       => esc_html__( 'Tagline', 'fashiona' ),
            'description' => esc_html__( 'Show or hide the description tagline under the logo', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'default'     => true,
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_search_button',
            'label'       => esc_html__( 'Search Button', 'fashiona' ),
            'description' => esc_html__( 'Show or hide the search button', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'default'     => true,
            'priority'    => 10,
) );

/*--- Social*/
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_twitter',
            'label'       => esc_html__( 'Twitter', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Twitter page URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_facebook',
            'label'       => esc_html__( 'Facebook', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Facebook page/profile URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_instagram',
            'label'       => esc_html__( 'Instagram', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Instagram page URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_gplus',
            'label'       => esc_html__( 'Google Plus', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Google Plus profile URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_pinterest',
            'label'       => esc_html__( 'Pinterest', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Pinterest page URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_youtube',
            'label'       => esc_html__( 'YourTube', 'fashiona' ),
            'description' => esc_html__( 'Enter Your YourTube channel URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_linkedin',
            'label'       => esc_html__( 'Linkedin', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Linkedin profile URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_social_feed',
            'label'       => esc_html__( 'Feed', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Feed URL', 'fashiona' ),
            'section'     => 'fashiona_wp3_header_section',
            'priority'    => 10,
) );

/** End Header Section**/

/** General Settings **/
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'switch',
            'settings'    => 'fashiona_wp3_fixed_sidebar',
            'label'       => esc_html__( 'Sticky Sidebar', 'fashiona' ),
            'description' => esc_html__( 'Enable or Disable fixed sidebars and Other sticky elements', 'fashiona' ),
            'section'     => 'fashiona_wp3_general_section',
            'default'     => true,
            'priority'    => 10,
            'choices'     => array(
                'on'  => esc_html__( 'Enable', 'fashiona' ),
                'off' => esc_html__( 'Disable', 'fashiona' ),
            ),
) );

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'number',
            'settings'    => 'fashiona_wp3_post_excerpt_length',
            'label'       => esc_html__( 'Excerpt Length', 'fashiona' ),
            'description' => esc_html__( 'Enter the number of words for the excerpt length', 'fashiona' ),
            'section'     => 'fashiona_wp3_general_section',
            'default'     => 30,
            'priority'    => 10,
            'choices'     => array(
                'min'  => 1,
                'max'  => 100,
                'step' => 1,
            ),
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'switch',
            'settings'    => 'fashiona_wp3_header_image_switch',
            'label'       => esc_html__( 'Header Image Section', 'fashiona' ),
            'description' => esc_html__( 'Enable or Disable the header image section. Add image below if this is enabled', 'fashiona' ),
            'section'     => 'fashiona_wp3_general_section',
            'default'     => true,
            'priority'    => 10,
            'choices'     => array(
                'on'  => esc_html__( 'Enable', 'fashiona' ),
                'off' => esc_html__( 'Disable', 'fashiona' ),
            ),
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'image',
            'settings'    => 'header_image',
            'label'       => esc_html__( 'Add Header Image', 'fashiona' ),
            'description' => esc_html__( 'Upload an image to display on Search and Archive pages. Make sure Header Image Section is enabled for image to display', 'fashiona' ),
            'section'     => 'fashiona_wp3_general_section',
            'default'     => FASHIONA_WP3_DIRECTORY_URI . '/assets/images/home-office-569153_1920.jpg',
            'priority'    => 10,
            
) );


/** Posts Settings **/
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'radio-image',
            'settings'    => 'fashiona_wp3_archive_layout_view',
            'label'       => esc_html__( 'Archive Layout', 'fashiona-wp3' ),
            'description' => esc_html__( 'Select the layout for the Archive view', 'fashiona-wp3' ),
            'section'     => 'fashiona_wp3_posts_settings',
            'default'     => 'blockview',
            'priority'    => 10,
            'choices'     => array(
                'blockview' => FASHIONA_WP3_DIRECTORY_URI . '/core/admin/images/block-view.png',
                'listview'  => FASHIONA_WP3_DIRECTORY_URI . '/core/admin/images/list-view.png',
            ),
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_dates',
            'label'       => esc_html__( 'Post Dates', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post dates', 'fashiona' ),
            'section'     => 'fashiona_wp3_posts_settings',
            'default'     => true,
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_post_author',
            'label'       => esc_html__( 'Post Author', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post Author name', 'fashiona' ),
            'section'     => 'fashiona_wp3_posts_settings',
            'default'     => true,
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_readmore',
            'label'       => esc_html__( 'Read More', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post Read More buttons', 'fashiona' ),
            'section'     => 'fashiona_wp3_posts_settings',
            'default'     => true,
            'priority'    => 10,
) );

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_text_readmore',
            'label'       => esc_html__( 'Read More Text', 'fashiona' ),
            'description' => esc_html__( 'Enter text for the read more buttons', 'fashiona' ),
            'section'     => 'fashiona_wp3_posts_settings',
            'default'     => esc_html__('Read More','fashiona'),
            'priority'    => 10,
) );


/** Single Posts **/

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_single_dates',
            'label'       => esc_html__( 'Post Dates', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post dates on single view', 'fashiona' ),
            'section'     => 'fashiona_wp3_single_post_setting',
            'default'     => true,
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_single_categories',
            'label'       => esc_html__( 'Post Category', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post categories on single view', 'fashiona' ),
            'section'     => 'fashiona_wp3_single_post_setting',
            'default'     => true,
            'priority'    => 10,
) );

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_single_tags',
            'label'       => esc_html__( 'Post Tags', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post tags on single view', 'fashiona' ),
            'section'     => 'fashiona_wp3_single_post_setting',
            'default'     => true,
            'priority'    => 10,
) );
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'toggle',
            'settings'    => 'fashiona_wp3_hide_single_author_box',
            'label'       => esc_html__( 'Author Box', 'fashiona' ),
            'description' => esc_html__( 'Show or hide post Author Box on single view', 'fashiona' ),
            'section'     => 'fashiona_wp3_single_post_setting',
            'default'     => true,
            'priority'    => 10,
) );

/** Footer **/

//Copyright
WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'text',
            'settings'    => 'fashiona_wp3_footer_copyright',
            'label'       => esc_html__( 'Copyright', 'fashiona' ),
            'description' => esc_html__( 'Enter Your Copyright info', 'fashiona' ),
            'section'     => 'fashiona_wp3_footer_section',
            'priority'    => 10,
) );

/** Footer End **/


/** Theme Color **/

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'color',
            'settings'    => 'fashiona_wp3_menu_border_color',
            'label'       => esc_html__( 'Menu Border Top', 'fashiona' ),
            'description' => esc_html__( 'Color for the Menu Top Border Line', 'fashiona' ),
            'section'     => 'colors',
            'default'     => '#F7931F',
            'priority'    => 10,
            'choices'     => array(
                'alpha' => true,
            ),
) );

WP3_Customizer::add_field( 
    'fashiona-wp3', 
        array(
            'type'        => 'color',
            'settings'    => 'fashiona_wp3_hover_color',
            'label'       => esc_html__( 'Hover', 'fashiona' ),
            'description' => esc_html__( 'Select Color for the mouse hover', 'fashiona' ),
            'section'     => 'colors',
            'default'     => '#F7931F',
            'priority'    => 10,
            'choices'     => array(
                'alpha' => true,
            ),
) );

function fashiona_wp3_customize_css() {

    $fashiona_menu_border_color   = get_theme_mod('fashiona_wp3_menu_border_color','#F7931F');
    $fashiona_wp3_hover   = get_theme_mod('fashiona_wp3_hover_color','#F7931F');
    $header_text = get_header_textcolor();

    ?>
    <style type="text/css">
    <?php if ( isset( $header_text ) ) { ?>
		.site-description{
			color: #<?php echo esc_attr($header_text); ?>;
        }
    <?php } ?>
    <?php if ( isset( $fashiona_menu_border_color ) ) { ?>
        .header {
            border-top: 2px solid <?php echo esc_attr($fashiona_menu_border_color) ;?>;
        }
    <?php } ?>

    <?php if ( isset( $fashiona_wp3_hover ) ) { ?>
        input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover, button:hover, .button:hover,.slide-bht2 a:hover, .all-blog-btn a:hover, .bht1 a:hover, .btn1:hover, .contact-grid input[type="submit"]:hover, .coment-form input[type="submit"]:hover,.tags-links a:hover {
            background: <?php echo esc_attr($fashiona_wp3_hover); ?>;
        }
        .tc-ch h3 a:hover, .wthree h3 a:hover, .blog-poast-info ul li a:hover, .tc-ch h3 a:hover, .wthree h3 a:hover, .blog-grid-right h5 a:hover, .footer-right li a:hover, .copyright p a:hover, .blog-grid-right1 a:hover, .entry-title a:hover, .footer-section .widget_recent_entries li:hover a, .widget_recent_entries li:hover > a, .widget_recent_comments li:hover, .widget_recent_comments li:hover a, .post-meta a:hover, .header .social-icons a:hover,.widget_meta a:hover, .widget_categories a:hover,.widget_archive a:hover{
            color: <?php echo esc_attr($fashiona_wp3_hover); ?>!important;
        }
        .nav-tabs>li>a:hover, .nav>li>a:focus, .nav-tabs>li.active>a:hover, .nav-tabs>li.active>a:focus {
            border-bottom: 3px solid <?php echo esc_attr($fashiona_wp3_hover); ?>;
        }
        .widget_recent_entries li:hover,.widget_recent_comments li:hover{
            border-left: 10px solid <?php echo esc_attr($fashiona_wp3_hover); ?>;
        }
    <?php } ?>
    </style>
    <?php

}
add_action( 'wp_head', 'fashiona_wp3_customize_css');

