<?php
/**
 * Fashiona WP3 Theme Customizer.
 *
 * @package Fashiona
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function fashiona_wp3_pro_customizer( $wp_customize ) {
class WP_Pro_Customize_Control extends WP_Customize_Control {
    public $type = 'new_menu';
    /**
    * Render the control's content.
    */
    public function render_content() {
    ?>
    <div style="border-bottom: 1px solid #ddd;">

	<div class="lite-box" style="text-align:center">
		<a id="demo-theme" style="margin: 20px 10px 0px;" href="<?php echo esc_url('http://demo.wp3layouts.com/fashiona/'); ?>" class="button" target="_blank"><?php _e('View PRO Demo!','fashiona');?></a>

		<a id="docs-theme" style="margin: 20px 10px 0px;" href="<?php echo esc_url('http://www.wp3layouts.com/support/');?>" class="button" target="_blank"><?php _e('Get Support','fashiona');?></a>
	</div>

	<a class="button" id="rate-theme" style="display: table; margin: 20px auto;" href="<?php echo esc_url('https://wordpress.org/support/view/theme-reviews/fashiona#postform'); ?>" class="button" target="_blank"><?php _e('RATE THIS THEME','fashiona');?>
	</a>

	<a class="button" id="buy-theme" style="display: table; margin: 20px auto;" href="<?php echo esc_url('http://www.wp3layouts.com/product/fashiona-premium-wordpress-theme/'); ?>" class="button" target="_blank"><?php _e('Buy Fashiona PRO','fashiona');?>
	</a>

	<div style="text-align:center">
		<?php _e('<div class="support-box">
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
			<input type="hidden" name="cmd" value="_s-xclick">
			<input type="hidden" name="hosted_button_id" value="8LQ6HJL7587D4">
			<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
			<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
			</form>
		</div>', 'fashiona'); ?>
	</div>

	</div>
	 <div class="pro-vesrion">
	 <?php _e('If you like this WordPress Layout please do well to support our work by donating.','fashiona');?>
	 </div>
    <?php
    }
}
$wp_customize->add_section( 'fashiona_wp3_pro_section' , array(
		'title'      => __('SUPPORT', 'fashiona'),
		'priority'   => 1,
   	) );

$wp_customize->add_setting(
    'upgrade_pro',
    array(
        'default' => '',
		'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
    )	
);
$wp_customize->add_control( new WP_Pro_Customize_Control( 
	$wp_customize, 
		'upgrade_pro', array(
		'label' => __('Discover Fashiona WP3','fashiona'),
        'section' => 'fashiona_wp3_pro_section',
		'setting' => 'upgrade_pro',
    ))
);

}
add_action( 'customize_register', 'fashiona_wp3_pro_customizer' );


//Loading Customizer Styles
function fashiona_wp3_customizer_inline_css() {
?>
	<style type="text/css">
		#demo-theme {
		  background: #008EC2;
		  border-color: #0085BA #0085BA #0085BA;
		  color: #ffffff;
		  -webkit-box-shadow: 0 1px 0 #006799;
		  box-shadow: 0 1px 0 #006799;
		  text-shadow: 0 -1px 1px #006799, -1px 0 1px #006799, 0 1px 1px #006799, 1px 0 1px #0085BA;
		}
		#docs-theme {
		  background: #008EC2;
		  border-color: #0085BA #0085BA #0085BA;
		  color: #ffffff;
		  -webkit-box-shadow: 0 1px 0 #006799;
		  box-shadow: 0 1px 0 #006799;
		  text-shadow: 0 -1px 1px #006799, -1px 0 1px #006799, 0 1px 1px #006799, 1px 0 1px #006799;
		}
		#rate-theme {
		  background: #038764;
		  border-color: #037758 #015238 #015238;
		  color: #ffffff;
		  -webkit-box-shadow: 0 1px 0 #015238;
		  box-shadow: 0 1px 0 #015238;
		  text-shadow: 0 -1px 1px #015238, -1px 0 1px #015238, 0 1px 1px #015238, 1px 0 1px #015238;
		}
		#buy-theme {
		  background: #F7931F;
		  border-color: #C87517 #C87517 #C87517;
		  color: #ffffff;
		  -webkit-box-shadow: 0 1px 0 #CE6F03;
		  box-shadow: 0 1px 0 #CE6F03;
		  text-shadow: 0 -1px 1px #CE6F03, -1px 0 1px #CE6F03, 0 1px 1px #CE6F03, 1px 0 1px #CE6F03;
		}
	</style>
	<?php
}
add_action( 'admin_enqueue_scripts', 'fashiona_wp3_customizer_inline_css' );



?>