<?php
/**
 * Fashiona WP3 Scripts
 *
 * @link http://www.wp3layouts.com
 *
 * @package Fashiona
 */
 
/**
 * Register custom fonts.
 */
function fashiona_wp3_fonts_url() {
	$fonts_url = '';
	/*
	 * Translators: If there are characters in your language that are not
	 * supported by Playfair Display and PT Serif, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$playfair = _x( 'on', 'Playfair Display font: on or off', 'fashiona' );
	$ptserif = _x( 'on', 'PT Serif font: on or off', 'fashiona' );

	if ( 'off' !== $playfair || 'off' !== $ptserif) {
		$font_families = array();

		$font_families[] = 'Playfair Display:400,400i,700,700i,900,900i|PT Serif:400,400i,700,700i';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}
/**
 * Enqueue scripts and styles.
 */
function fashiona_wp3_scripts() {
	/*Boostrap*/
	wp_enqueue_style( 'bootstrap', FASHIONA_WP3_DIRECTORY_URI . '/assets/css/bootstrap.css' );
	/*Theme Style*/
	wp_enqueue_style( 'fashiona-style', get_stylesheet_uri() );
	/*Animate Style*/
	wp_enqueue_style( 'animate', FASHIONA_WP3_DIRECTORY_URI . '/assets/css/animate.css' );

	/*Menu*/
	wp_enqueue_style( 'font-awesome', FASHIONA_WP3_DIRECTORY_URI .'/font-awesome/css/font-awesome.css' );
	wp_enqueue_style( 'fashiona-menu', FASHIONA_WP3_DIRECTORY_URI . '/assets/css/menu.css' );
	wp_enqueue_script( 'jquery-dropotron-min-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/jquery.dropotron.min.js', array(), '', false );
	wp_enqueue_script( 'util-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/util.js', array(), '', true );
	wp_enqueue_script( 'fashiona-main', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/main.js', array(), '', true );

	/*Featherlight*/
	wp_enqueue_style( 'featherlight', FASHIONA_WP3_DIRECTORY_URI . '/assets/css/featherlight.css' );
	wp_enqueue_script( 'featherlight-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/featherlight.js', array(), '', false );

	/*Main Font*/
	wp_enqueue_style( 'fashiona-fonts', fashiona_wp3_fonts_url(), array(), null );
	
	/*Custom script to trigger JQuery animations*/
	wp_enqueue_script( 'fashiona-custom', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/custom.js', array('jquery'), '', false );
	/*Boostrap Script*/
	wp_enqueue_script( 'bootstrap-min-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/bootstrap.min.js', array(), '', false );
	
	/*WOW Script*/
	wp_enqueue_script( 'wow-min-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/wow.min.js', array(), '', false );
	/* Sticky*/
	wp_enqueue_script( 'hc-sticky-js', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/hc-sticky.js', array(), '', false );


	/*Theme Scripts*/
	wp_enqueue_script( 'fashiona-navigation', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/navigation.js', array(), '20151215', true );

	wp_enqueue_script( 'fashiona-skip-link-focus-fix', FASHIONA_WP3_DIRECTORY_URI . '/assets/js/skip-link-focus-fix.js', array(), '20151215', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'fashiona_wp3_scripts' );
